import './global.css';

// components
import Content from './components/container/Content.svelte';
import Mobile from './components/container/Mobile.svelte';
import Section from './components/container/Section.svelte';
import Theme from './components/container/Theme.svelte';

export { Content, Mobile, Section, Theme };

// footer

import Copyright from './components/footer/Copyright.svelte';
import Footer from './components/footer/Footer.svelte';
import FooterLink from './components/footer/FooterLink.svelte';

export { Copyright, Footer, FooterLink };

// form

import Form from './components/form/Form.svelte';
import FormHeadline from './components/form/components/FormHeadline.svelte';
import Input from './components/form/components/Input.svelte';
import FormButton from './components/form/components/FormButton.svelte';
import Select from './components/form/components/Select.svelte';
import Option from './components/form/components/Option.svelte';

import inputValidator from './helper/validator';

export {
	Form,
	FormHeadline,
	Input,
	FormButton,
	Select,
	Option,
	inputValidator,
};

// Header

import Header from './components/header/Header.svelte';
import Item from './components/header/Item.svelte';
import HeaderLink from './components/header/Link.svelte';
import Nav from './components/header/Nav.svelte';
import SidebarContent from './components/header/SidebarContent.svelte';
import Sidebar from './components/header/Sidebar.svelte';
import SidebarHeader from './components/header/SidebarHeader.svelte';

export {
	Header,
	Item,
	HeaderLink,
	Nav,
	SidebarContent,
	Sidebar,
	SidebarHeader,
};

// icons

import * as Icons from './components/icons/index';

export { Icons };

// loading

import Loading from './components/loading/Loading.svelte';

export { Loading };

// notifications
import NotificationController from './components/notifications/NotificationController.svelte';
import Error from './components/notifications/errors/Inplace.svelte';

export { NotificationController, Error };

// Post
import PostBox from './components/posts/PostBox.svelte';
import PostItem from './components/posts/PostItem.svelte';
import PostHeadline from './components/posts/PostHeadline.svelte';
import PostText from './components/posts/PostText.svelte';
import PostButton from './components/posts/PostButton.svelte';

export { PostBox, PostItem, PostHeadline, PostText, PostButton };

// Table
import Table from './components/table/Table.svelte';
import THead from './components/table/Head.svelte';
import THeadData from './components/table/HeadData.svelte';
import TBody from './components/table/Body.svelte';
import TRow from './components/table/Row.svelte';
import TData from './components/table/Data.svelte';

export { Table, THead, THeadData, TBody, TRow, TData };

// Text

import Headline from './components/text/headlines/Headline.svelte';
import NestedHeadline from './components/text/headlines/NestedHeadline.svelte';

export { Headline, NestedHeadline };
